Skip to main content
GET
/
oauth
/
installedLocations
Get Location where app is installed
curl --request GET \
  --url https://services.leadconnectorhq.com/oauth/installedLocations \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "locations": [
    {
      "_id": "0IHuJvc2ofPAAA8GzTRi",
      "name": "John Deo",
      "address": "47 W 13th St, New York, NY 10011, USA",
      "isInstalled": true
    }
  ],
  "count": 1231,
  "installToFutureLocations": true
}

Authorizations

Authorization
string
header
required

Access Token or Private Integration Token

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Query Parameters

skip
string
default:0

Parameter to skip the number installed locations

Example:

"1"

limit
string
default:20

Parameter to limit the number installed locations

Example:

"10"

query
string

Parameter to search for the installed location by name

Example:

"location name"

isInstalled
boolean

Filters out location which are installed for specified app under the specified company

Example:

true

companyId
string
required

Parameter to search by the companyId

Example:

"tDtDnQdgm2LXpyiqYvZ6"

appId
string
required

Parameter to search by the appId

Example:

"tDtDnQdgm2LXpyiqYvZ6"

versionId
string

VersionId of the app

Example:

"tDtDnQdgm2LXpyiqYvZ6"

onTrial
boolean

Filters out locations which are installed for specified app in trial mode

Example:

true

planId
string

Filters out location which are installed for specified app under the specified planId

Example:

true

Response

Successful response

locations
object[]
count
number

Total location count under the company

Example:

1231

installToFutureLocations
boolean

Boolean to control if user wants app to be automatically installed to future locations

Example:

true

Last modified on March 7, 2026